package de.ivu.elect.business.internet.entity;

import java.util.List;
import java.util.Map;

import de.ivu.elect.jee.entity.customdata.CustomData;
import de.ivu.elect.jee.presentation.dynamicform.Property;

public interface InternetWidgetCustomData extends CustomData {

  String MESSAGE_KEY_FILES = "InternetWidgetCustomData.MESSAGE_KEY_FILES";

  Map<InternetWidgetTypCustomDataKategorie, List<Property>> getProperties(InternetWidgetPropertyContext context);

  List<InternetWidgetFile> getFiles();

  void filesChanged();

}
